#
# spec file for package python-aiohttp-theme
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-aiohttp-theme
Version:        0.1.7
Release:        2.1
Summary:        A configurable sidebar-enabled Sphinx theme
License:        BSD-3-Clause
URL:            https://github.com/aio-libs/aiohttp-theme
Source:         https://files.pythonhosted.org/packages/source/a/aiohttp_theme/aiohttp_theme-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
A configurable sidebar-enabled Sphinx theme used by aiohttp

%prep
%setup -q -n aiohttp_theme-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/aiohttp_theme
%{python_sitelib}/aiohttp_theme-%{version}.dist-info

%changelog
* Fri Jun 13 2025 Steve Kowalik <steven.kowalik@suse.com>
- Switch to pyproject macros.
- No more greedy globs in %%files.
* Fri Oct 11 2024 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Update to 0.1.7
  * Drop python2
  * Upgrade to GitHub-native Dependabot
  * Update semantic-version requirement from <2.5,>=2.4 to >=2.4,<2.9 (#5)
  * Update semantic-version requirement from <2.9,>=2.4 to >=2.4,<2.11 (#48)
  * Add CodeQL workflow for GitHub code scanning (#56)
  * Remove margin rule (#61)
  * Drop old classifiers and tweak license (#64)
  * Update releases requirement from <2.0,>=1.2.0 to >=1.2.0,<3.0 (#59)
  * Update CI (#63)
  * Update dependencies (#68)
  * Release v0.1.7 (#67)
  * Rename cd-cd.yml to ci-cd.yml (#70)
* Tue Jul  4 2023 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Thu Jan 16 2020 Marketa Calabkova <mcalabkova@suse.com>
- update to 0.1.6
  * added newsfragment
  * increase bottom padding for code block caption
* Mon Mar  4 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.1.5:
  * Various background css fixes
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Sat Feb 17 2018 alarrosa@suse.com
- Initial release of aiohttp-theme 0.1.4
